Delete event by ID

http
DELETE https://services.leadconnectorhq.com/calendars/events/{eventId}

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
eventIdstringYesEvent Id or Instance id. For recurring appointments send masterEventId to modify original series.

Body

Responses

201 - Successful response
  • succeeded (boolean): Example: True

json
{
  "succeeded": true
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}

Example

curl -X DELETE 'https://services.leadconnectorhq.com/calendars/events/YOUR_eventId' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{}'

Last updated October 26, 2026

Was this page helpful?